// Mostrar el modal de confirmación
function showDeleteModalCompanie(companieId, companyName) {
    const modal = document.getElementById('deleteCompanieModal');
    const form = document.getElementById('deleteForm-' + companieId);
    const confirmButton = document.getElementById('confirmDeleteCompanie');
    const cancelButton = document.getElementById('cancelDeleteCompanie');
    const companiName = document.getElementById('companiName');

    companiName.textContent = companyName;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteCompanieModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});

