// Mostrar el modal de confirmación para eliminar usuario
function showDeleteModalUser(userId, userName) {
    const modal = document.getElementById('deleteUserModal');
    const form = document.getElementById('deleteForm-' + userId);
    const confirmButton = document.getElementById('confirmDeleteUser');
    const cancelButton = document.getElementById('cancelDeleteUser');
    const userNameElement = document.getElementById('userName');

    userNameElement.textContent = userName;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteUserModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});
