<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class BackupController extends Controller
{
    public function Backup()
    {

        $fecha = date('d-m-Y');
        $nombreArchivo = 'Respaldo-Teknologix-' . $fecha . '.zip';

        // Se ejecuta el comando para crear el respaldo y especifica el nombre del archivo
        $comando = "php " . base_path() . "/artisan backup:run --only-db --filename=" . $nombreArchivo;
        exec($comando);

        // Se obtiene la ruta del archivo de respaldo generado
        $rutaArchivo = storage_path('app/Laravel/' . $nombreArchivo);

        // Se descarga el archivo de respaldo y lo elimina después de enviarlo al cliente
        return response()->download($rutaArchivo)->deleteFileAfterSend();
    }
}
