<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Rating extends Model
{
    use HasFactory;

    protected $fillable = ['support_case_id', 'client_name', 'rating', 'google_forms_response'];

    public function supportCase()
    {
        return $this->belongsTo(SupportCase::class);
    }
}
