<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <style>
        #calendar {
            overflow: hidden;
        }

        .fc-scroller {
            overflow: auto !important;
        }
    </style>
    <div class="grid grid-cols-1 gap-4 p-4 md:grid-cols-6">
        <div class="md:col-span-5">
            <div class="grid gap-4 p-4 bg-white dark:bg-slate-800 bg-opacity-50 rounded-lg shadow-md">
                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Metas</p>
                    </div>
                    <div class="grid grid-cols-2 sm:grid-cols-3 md:grid-cols-5 gap-4 mt-2">
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div
                                class="h-60 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl p-4 flex flex-col">
                                <div class="flex flex-col flex-grow">
                                    <div class="flex items-center justify-center">
                                        <img src="<?php echo e(asset('img/photo.png')); ?>" alt="Profile photo"
                                            class="w-10 h-10 rounded-full">
                                    </div>
                                    <p class="font-semibold text-center text-gray-800 dark:text-gray-300">
                                        <?php echo e(explode(' ', $user->name)[0]); ?>

                                    </p>

                                    <?php if($user->goals->count() > 0): ?>
                                        <ul class="mt-2 overflow-hidden max-h-24">
                                            <?php $__currentLoopData = $user->goals->where('week_number', $currentWeekNumber)->take(4); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $goal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li
                                                    class="text-xs text-justify text-gray-800 dark:text-gray-300 mb-1 truncate">
                                                    <?php echo e($goal->title); ?>

                                                </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>

                                        <div class="mt-auto">
                                            <div class="flex items-center mt-2 mb-2">
                                                <div class="flex-1 bg-gray-300 h-4 mx-2 rounded-lg">
                                                    <div class="bg-naranja h-4 rounded-lg text-gray-800 dark:text-gray-300"
                                                        style="width: <?php echo e($user->progress); ?>%;"></div>
                                                </div>
                                            </div>

                                            <div
                                                class="text-center text-sm font-semibold text-gray-600 dark:text-gray-300">
                                                <?php echo e(number_format($user->progress, 2)); ?>%
                                            </div>
                                        </div>
                                    <?php else: ?>
                                        <p class="text-center text-xs text-gray-600 dark:text-gray-300">No hay metas
                                            para esta semana</p>
                                    <?php endif; ?>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Tareas</p>
                    </div>
                    <div class="grid grid-cols-2 sm:grid-cols-3 md:grid-cols-5 gap-4 mt-2">
                        <?php $__currentLoopData = $tasksByDay; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day => $tasks): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div
                                class="h-44 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl p-4 flex flex-col">
                                <p class="font-semibold text-center text-gray-800 dark:text-gray-300">
                                    <?php echo e($day); ?></p>

                                <?php if($tasks->count() > 0): ?>
                                    <ul class="mt-2">
                                        <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="text-xs text-justify text-gray-800 dark:text-gray-300 mb-1">
                                                <?php echo e($task->activity); ?> :
                                                <span class="">
                                                    <?php echo e(explode(' ', $task->assignedUser->name)[0]); ?>

                                                </span>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <p class="text-center text-xs text-gray-600 dark:text-gray-300">No hay tareas</p>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

            </div>
        </div>

        <div class="md:col-span-1">
            <div class="md:w-full w-full grid gap-4 p-4 bg-white dark:bg-slate-800 bg-opacity-50 rounded-lg shadow-md">
                <div>
                    <div class="flex flex-1 h-6 bg-naranja w-full rounded-xl items-center justify-between">
                        <p class="px-2 text-white">Semana</p>
                        <span class="text-white pr-2"><?php echo e($weekNumber); ?></span>
                    </div>

                    <div
                        class="h-60 space-y-8 w-full bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl mt-2 overflow-y-hidden">
                        <div class="flex justify-center mt-4">
                            <p class="text-xl text-bold uppercase text-gray-800 dark:text-gray-300"><?php echo e($monthName); ?>

                            </p>
                        </div>

                        <div class="flex justify-center">
                            <p class="text-xl pr-2 text-gray-800 dark:text-gray-300 uppercase"><?php echo e($nombreDia); ?></p>
                            <p class="text-xl text-gray-800 dark:text-gray-300"><?php echo e($diaDelMes); ?></p>
                        </div>

                        <div class="flex flex-col items-center">
                            <p class="text-sm text-gray-800 dark:text-gray-300"><?php echo e($startOfWeekFormatted); ?></p>
                            <p class="text-sm text-gray-800 dark:text-gray-300">al</p>
                            <p class="text-sm text-gray-800 dark:text-gray-300"><?php echo e($endOfWeekFormatted); ?></p>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Notificaciones</p>
                    </div>
                    <div
                        class="h-44 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl mt-2">
                    </div>
                </div>
            </div>
        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/dashboard.blade.php ENDPATH**/ ?>