<x-app-layout>
    <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
        {{ __('GRÁFICAS') }}
    </h2>
    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-6 dark:bg-gray-800">
                <h2 class="text-lg font-bold mb-4 text-center text-gray-700 dark:text-gray-100">
                    Selecciona la gráfica que deseas ver
                </h2>
                <div class="flex justify-center gap-6 mb-6">
                @can('grafica-metas') 
                <a href="{{ route('graphs.graph-goals') }}" class="bg-naranja hover:bg-orange-700 text-white font-bold py-2 px-4 rounded shadow">
                    Ver gráfica de metas
                </a>
                @endcan

                @can('grafica-soportes')
                <a href="{{ route('graphs.graph-supports') }}" class="bg-naranja hover:bg-orange-700 text-white font-bold py-2 px-4 rounded shadow">
                    Ver gráficas de soportes
                </a>
                @endcan
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
