<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            <?php echo e(__('Usuarios')); ?>

        </h2>
     <?php $__env->endSlot(); ?>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    <a class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded" href="<?php echo e(route('users.create')); ?>">Nuevo</a>

                    <table class="min-w-full table-auto mt-2">
                        <thead class="bg-gray-700 text-white">
                            <tr>
                                <th class="py-2 border border-gray-200 text-center">ID</th>
                                <th class="py-2 border border-gray-200 text-center">Nombre</th>
                                <th class="py-2 border border-gray-200 text-center">E-mail</th>
                                <th class="py-2 border border-gray-200 text-center">Rol</th>
                                <th class="py-2 border border-gray-200 text-center">Acciones</th>
                            </tr>
                        </thead>
                        <tbody class="bg-white text-gray-500">
                            <?php $__currentLoopData = $usuarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $usuario): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr class="hover:bg-gray-100">
                                    <td class="py-2 border border-gray-200 text-center"><?php echo e($usuario->id); ?></td>
                                    <td class="py-2 border border-gray-200 text-center"><?php echo e($usuario->name); ?></td>
                                    <td class="py-2 border border-gray-200 text-center"><?php echo e($usuario->email); ?></td>
                                    <td class="py-2 border border-gray-200 text-center">
                                        <?php if(!empty($usuario->getRoleNames())): ?>
                                            <?php $__currentLoopData = $usuario->getRoleNames(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rolName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <span class="badge badge-dark"><?php echo e($rolName); ?></span>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </td>
                                    <td class="py-2 border border-gray-200 text-center">
                                        <a class="text-blue-500 hover:text-blue-700" href="<?php echo e(route('users.edit', $usuario->id)); ?>">Editar</a>
                                        <form action="<?php echo e(route('users.destroy', $usuario->id)); ?>" method="POST" class="inline-block">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="text-red-500 hover:text-red-700 ml-2" onclick="return confirm('¿Estás seguro de eliminar este usuario?')">
                                                Borrar
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <div class="pagination justify-content-end mt-4">
                        <?php echo e($usuarios->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/users/index.blade.php ENDPATH**/ ?>